<?php
/*
Mailboy - A Php/MySQL application that offers a web based interface
to administer an email server. It can be used by the server administrator
as well as the email users.
(c) 2009 Emmanuel Revah - manu-at-manurevah.com
http://manurevah.com/blah/en/pages/mailboy

This file is part of Mailboy.

Mailboy is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Mailboy is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Mailboy.  If not, see <http://www.gnu.org/licenses/>.
*/
?>

<h2><a href="<? echo $mailboy_root; ?>/index.php?page=accounts&domain_id=<? echo $content[account_detail][domain_id]; ?>">
<? echo $content[account_detail][domain]; ?></a></h2>

<?	/* show user details, within a form where applicable */
if ($content[account_detail][user]) { ?>
	<? if (am_i_admin_of($content[account_detail][domain_id]) OR is_this_mine($content[account_detail][uid])) { ?>
	<form action="" method="post" enctype="multipart/form-data">
	<? } ?>
		<table>
			<tr>
				<th>user</th>
				<? if (am_i_admin_of($content[account_detail][domain_id]) OR is_this_mine($content[account_detail][uid])) { ?><th>change password</th><? } ?>
				<th>policy</th>
				<th>quota</th>
				<? if (am_i_admin()) { ?><th>admin for domain</th><? } ?>
				<? if (am_i_server_admin()) { ?><th>server admin</th><? } ?>
			</tr>
			<tr>
				<td>
					<? if (am_i_admin_of($content[account_detail][domain_id])) { ?>
					<input class="input-text" type="text" name="<? echo $content[forms][mod_account][account]; ?>" id="" value="<? echo $content[account_detail][user]; ?>"/>
					@<? echo $content[account_detail][domain]; ?>
					<? } else { ?>
					<strong><? echo $content[account_detail][user]; ?>@<? echo $content[account_detail][domain]; ?>
					<input type="hidden" name="<? echo $content[forms][mod_account][account]; ?>" value="<? echo $content[account_detail][user]; ?>"/>
					<? } ?>
				</td>
				<? if (am_i_admin_of($content[account_detail][domain_id]) OR is_this_mine($content[account_detail][uid])) { ?>
				<td class="passwords">
					<input class="input-text" type="password" name="<? echo $content[forms][mod_account][password]; ?>" value="" />
					<br />
					<input class="input-text" type="password" name="<? echo $content[forms][mod_account][password_verify]; ?>" value="" />
				</td>
				<? } ?>
				<td>
				<? if (am_i_admin_of($content[account_detail][domain_id]) OR is_this_mine($content[account_detail][uid])) { ?>
					<select name="<? echo $content[forms][mod_account][policy]; ?>" id="">
						<option value="">No policy</option>
					<? foreach ($content[forms][mod_account][policies] as $k => $v) { ?>
						<option value="<? echo $k; ?>" <? fill_check_input($k, "select", $content[account_detail][policy_id]); ?>><? echo $v; ?></option>
					<? }?>
					</select>
				<? } else {
					echo $content[account_detail][policy_name];
				} ?>
				</td>
				<td>
					<? if (am_i_admin_of($content[account_detail][domain_id])) { ?>
					<input class="input-text input-numeric" type="text" name="<? echo $content[forms][mod_account][quota]; ?>" id="" value="<? echo $content[account_detail][quota]; ?>"/> MB
					<? } else { ?>
					<? echo $content[account_detail][quota]; ?> MB
					<? } ?>
				</td>
				<? if (am_i_admin()) { ?>
				<td>
					<? if ($content[forms][mod_account][domains]) { ?>
						<? if (am_i_admin_of($content[account_detail][domain_id]) OR is_this_mine($content[account_detail][uid])) { ?>
							<select name="<? echo $content[forms][mod_account][admin_domains]; ?>[]" id="domains" multiple="multiple">
							<? foreach ($content[forms][mod_account][domains] as $k => $v) { ?>
								<? if (am_i_admin_of($k)) {  ?>
									<? if (is_array($content[account_detail][admin_of])) { ?>
										<? if (array_key_exists($k, $content[account_detail][admin_of])) { ?>
											<option selected="selected" value="<? echo $k; ?>"><? echo $v; ?></option>
										<? } else { ?>
											<option value="<? echo $k; ?>"><? echo $v; ?></option>
										<? } ?>
									<? } else {  ?>
											<option value="<? echo $k; ?>"><? echo $v; ?></option>
									<? } ?>
								<? } ?>
							<? } ?>
							</select>
						<? } else { ?>
							<ul>
							<? foreach ($content[forms][mod_account][domains] as $k => $v) { ?>
								<li><? echo $v; ?></li>
							<? } ?>
							</ul>
						<? } ?>
					<? } ?>
				</td>
				<? } ?>
				<? if (am_i_server_admin()) { ?>
				<td class="center">
					<? if (am_i_super_admin()) { ?>
					<input class="input-checkbox" type="checkbox" <? if ($content[account_detail][admin]) { ?> checked="checked" <? } ?> name="<? echo $content[forms][mod_account][admin]; ?>" id="" value="1" />
				</td>
					<? } else { ?>
						<? if ($content[account_detail][admin]) { ?>
							yes
						<? } else {  ?>
							no
						<? } ?>
					<? } ?>
				<? } ?>
			</tr>
		</table>
		<? if (am_i_admin_of($content[account_detail][domain_id]) OR is_this_mine($content[account_detail][uid])) { ?>
		<input class="input-submit" type="submit" name="<? echo $content[forms][mod_account][submit]; ?>" value="Edit" title="You sure ?" />
	</form>
	<? } ?>
<? }

/* show alias details within a form */
if ($content[alias_detail]) { ?>
	<form action="" method="post" enctype="multipart/form-data">
		<table>
			<tr>
				<th>source</th>
				<th>destination</th>
			</tr>
			<tr>
				<td>
					<input class="input-text" type="text" name="<? echo $content[forms][mod_alias][source]; ?>" id="" value="<? echo $content[alias_detail][source]; ?>"/>
					@<? echo $content[alias_detail][name]; ?>
				</td>
				<td><input class="input-text" type="text" name="<? echo $content[forms][mod_alias][destination]; ?>" id="" value="<? echo $content[alias_detail][destination]; ?>"/></td>
			</tr>
		</table>
		<input class="input-submit" type="submit" name="<? echo $content[forms][mod_alias][submit]; ?>" value="Edit" title="You sure ?" />
	</form>
<? } ?>
