<?php
/*
Mailboy - A Php/MySQL application that offers a web based interface
to administer an email server. It can be used by the server administrator
as well as the email users.
(c) 2009 Emmanuel Revah - manu-at-manurevah.com
http://manurevah.com/blah/en/pages/mailboy

This file is part of Mailboy.

Mailboy is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Mailboy is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Mailboy.  If not, see <http://www.gnu.org/licenses/>.
*/
?>

<h2><? echo $content[domain][name]; ?></h2>

<? if (am_i_admin_of($content[domain][id])) { ?>
	<? /* edit domain */ ?>
	<form action="" method="post" enctype="multipart/form-data">
		<table>
			<tr>
				<th>Domain</th>
				<th>Amavis policy</th>
				<th>Default quota (MB)</th>
			</tr>
			<tr>
				<td><input class="input-text" type="text" name="<? echo $content[forms][mod_domain][new_domain]; ?>" id="" value="<? echo $content[domain][name]; ?>" />
				<td>
					<select name="<? echo $content[forms][mod_domain][policy]; ?>" id="">
						<option value="">No policy &nbsp;</option>
						<? foreach ($content[forms][add_account][policies] as $k => $v) { ?>
						<option value="<? echo $k; ?>" <? fill_check_input($k, "select", $content[domain][default_policy]); ?>><? echo $v; ?></option>
						<?php } ?>
					</select>
				</td>
				<td><input class="input-text right" type="text" name="<? echo $content[forms][mod_domain][default_quota]; ?>" id="" value="<? echo $content[domain][default_quota]; ?>"/></td>
			</tr>
		</table>
		<input class="input-checkbox" type="checkbox" name="<? echo $content[forms][mod_domain][mod_domain_confirm]; ?>" id="" value="1" title="This confirms you are sure" />Are you sure ?
		<input class="input-submit" type="submit" name="<? echo $content[forms][mod_domain][submit]; ?>" value="Edit" title="You sure ?" />
	</form>

<? /* addmail form */ ?>
	<fieldset>
		<legend>Add account</legend>
		<form action="" method="post" enctype="multipart/form-data">
		<dl>
			<dt><label for="add_account">Account</label></dt>
			<dd><input class="input-text" type="text" name="<? echo $content[forms][add_account][account]; ?>" id="add_account" value="<? echo $content[forms][add_account][new_account]; ?>" /> @<? echo $content[domain][name]; ?></dd>
			<dt><label for="password">Password</label></dt>
			<dd><input class="input-text" type="password" name="<? echo $content[forms][add_account][password]; ?>" id="password" value="" /></dd>
			<dt><label for="password_verify">Password (verify)</label></dt>
			<dd><input class="input-text" type="password" name="<? echo $content[forms][add_account][password_verify]; ?>" id="password_verify" value="" /></dd>
			<dt><label for="policy">Amavis policy</label></dt>
			<dd><select name="<? echo $content[forms][add_account][policy]; ?>" id="policy">
					<option value="">No policy &nbsp;</option>
					<? foreach ($content[forms][add_account][policies] as $k => $v) { ?>
					<option value="<? echo $k; ?>" <? fill_check_input($k, "select", $content[domain][default_policy]); ?>><? echo $v; ?></option>
					<?php } ?>
				</select>
			</dd>

			<dt><label for="new_account_quota">Quota (0 = no limit)</label></dt>
			<dd><input class="input-text right" type="text" name="<? echo $content[forms][add_account][quota]; ?>" id="new_account_quota" value="<? echo $content[forms][add_account][default_quota]; ?>" /> MB</dd>

			<dt><label for="domains">Administer domains</label></dt>
			<dd><select class="domain-select" name="<? echo $content[forms][add_account][admin_domains]; ?>[]" id="domains" multiple="multiple">
					<? foreach ($content[forms][add_account][domains] as $k => $v) { ?>
					<option value="<? echo $k; ?>"><? echo $v; ?></option>
					<? } ?>
				</select>
			</dd>
			<? if (am_i_super_admin()) { ?>
			<dt><label for="global_admin">Server admin</label></dt>
			<dd><input class="input-checkbox" type="checkbox" name="<? echo $content[forms][add_account][admin]; ?>" id="global_admin" value="<? echo $content[forms][add_account][admin]; ?>" />
			<? } ?>
			<dt>&nbsp;</dt>
			<dd><input class="input-submit" type="submit" name="<? echo $content[forms][add_account][submit]; ?>" value="Add account" /></dd>
		</dl>
		</form>
	</fieldset>

	<? /* addalias form */ ?>
	<fieldset><legend>Add Alias</legend>
		<form action="" method="post" enctype="multipart/form-data">
		<dl>
			<dt><label for="add_alias_src">Source</label></dt>
			<dd><input class="input-text" type="text" name="<? echo $content[forms][add_alias][alias_src]; ?>" id="add_alias_src" value="<? echo $content[forms][add_alias][new_alias_src]; ?>" /> @<? echo $content[domain][name]; ?></dd>
			<dt><label for="add_alias_dst">Destination</label></dt>
			<dd><input class="input-text" type="text" name="<? echo $content[forms][add_alias][alias_dst]; ?>" id="add_alias_dst" value="<? echo $content[forms][add_alias][new_alias_dst]; ?>" /></dd>
			<dt></dt>
			<dd><input class="input-submit" type="submit" name="<? echo $content[forms][add_alias][submit]; ?>" value="Add alias" /></dd>
		</dl>
		</form>
	</fieldset>
	<div class="clear"></div>
<? } ?>

	<? /* list accounts */ ?>
	<? if ($content[accounts]) { ?>
		<h3>Accounts</h3>
		<? if (am_i_admin_of($content[domain][id])) { ?>
		<form action="" method="post" enctype="multipart/form-data">
		<? } ?>
			<table>
				<tr>
					<th><a href="<? echo $content[accounts_table][th][user]; ?>">user</a></th>
					<th><a href="<? echo $content[accounts_table][th][policy_name]; ?>">policy</a></th>
					<th><a href="<? echo $content[accounts_table][th][quota_kb]; ?>">quota</a></th>
					<th><a href="<? echo $content[accounts_table][th][admin_of_ids]; ?>">admin for domain</a></th>
					<th><a href="<? echo $content[accounts_table][th][admin]; ?>">server admin</a></th>
					<? if (am_i_admin_of($content[domain][id])) { ?><th>delete ?</th><? } ?>
				</tr>
			<? foreach ($content[accounts] as $k => $v) { ?>
				<tr>
					<td>
						<? if (am_i_admin_of($content[domain][id])) { ?>
						<a href="index.php?page=account_details&uid=<? echo $v[uid]; ?>"><? echo $v[user]; ?></a>
						<? } else { ?>
						<strong><? echo $v[user]; ?></strong>
						<? } ?>
					</td>
					<td><? echo $v[policy_name]; ?></td>
					<td class="input-numeric"><? echo $v[quota]; ?> MB</td>
					<td>
						<ul>
				<? if ($content[accounts][$k][admin_of]) {
					foreach ($content[accounts][$k][admin_of] as $k2 => $v2) { ?>
							<li><? echo $v2; ?></li>
					<?}
				}?>
						</ul>
					</td>
					<td class="center">
				<? if ($content[accounts][$k][admin]) { ?>
						yes
				<? } ?>
					</td>
					<? if (am_i_admin_of($content[domain][id])) { ?>
					<td class="center">

						<? if (($content[accounts][$k][admin] != 1 OR am_i_super_admin()) AND ($content[accounts][$k][uid] != $super_dooper_user))  { ?>
						<input type="checkbox" name="<? echo $content[forms][del_account][del_account]; ?>[]" id="" value="<? echo $v[uid]; ?>"/>
						<? } ?>
					</td>
					<? } ?>
				</tr>
			<? } ?>
			</table>
			<? if (am_i_admin_of($content[domain][id])) { ?>
			<input class="input-checkbox" type="checkbox" name="<? echo $content[forms][del_account][del_account_confirm]; ?>" id="" value="1" title="This confirms you are sure" />Really do it ?
			<input class="input-submit" type="submit" name="<? echo $content[forms][del_account][submit]; ?>" value="Delete" title="You sure ?" />
		</form>
		<? } ?>
	<? } ?>

	<? /* list aliases */ ?>
	<? if ($content[aliases]) { ?>
		<h3>Aliases</h3>
	<? if (am_i_admin_of($content[domain][id])) { ?>
	<form action="" method="post" enctype="multipart/form-data">
	<? } ?>
		<table>
			<tr>
				<th><a href="<? echo $content[aliases_table][th][source]; ?>">source</a></th>
				<th><a href="<? echo $content[aliases_table][th][destination]; ?>">destination</a></th>
				<? if (am_i_admin_of($content[domain][id])) { ?><th>delete ?</th><? } ?>
			</tr>
			<? foreach ($content[aliases] as $k => $v) { ?>
			<tr>
				<td>
					<? if (am_i_admin_of($content[domain][id])) { ?>
					<a href="index.php?page=account_details&alias_id=<?echo $v[id]; ?>"><? echo $v[email]; ?></a>
					<? } else { ?>
					<strong><? echo $v[email]; ?></strong>
					<? } ?>
				</td>
				<td><? echo $v[destination]; ?></td>
				<? if (am_i_admin_of($content[domain][id])) { ?>
				<td class="center">
					<input class="input-checkbox" type="checkbox" name="<? echo $content[forms][del_alias][del_alias]; ?>[]" id="" value="<? echo $v[id]; ?>"/>
				</td>
				<? } ?>
			</tr>
			<? } ?>
		</table>
		<? if (am_i_admin_of($content[domain][id])) { ?>
		<input class="input-checkbox" type="checkbox" name="<? echo $content[forms][del_alias][del_alias_confirm]; ?>" id="" value="1" title="This confirms you are sure" />Really do it ?
		<input class="input-submit" type="submit" name="<? echo $content[forms][del_alias][submit]; ?>" value="Delete" title="You sure ?" />
	</form>
	<? } ?>
	<? } ?>

	<? /* list admins */
	if ($content[admins]) { ?>
	<h3>Domain admins</h3>
	<ul>
		<? foreach ($content[admins] as $k => $v) { ?>
		<li>
			<? if (am_i_admin_of($content[admins][$k][domain_id])) { ?>
			<a href="index.php?page=account_details&uid=<? echo $content[admins][$k][user_id]; ?>"><? echo $content[admins][$k][email]; ?></a>
			<? } else { ?>
			<strong><? echo $content[admins][$k][email]; ?></strong>
			<? } ?>
		</li>
		<? } ?>
	</ul>
	<? }
?>
